from ..generic_extractors import *
from ..extractor_facebook import FacebookEvent
import json5
from bs4 import BeautifulSoup
import json


# A class dedicated to get events from a facebook events page
# such as https://www.facebook.com/laJeteeClermont/events
class CExtractor(TwoStepsExtractor):


    def build_event_url_list(self, content):
        soup = BeautifulSoup(content, "html.parser")

        links = soup.find_all("a")
        for link in links:
            if link.get("href").startswith('https://www.facebook.com/events/'):
                self.add_event_url(link.get('href').split('?')[0])


    def add_event_from_content(
        self,
        event_content,
        event_url,
        url_human=None,
        default_values=None,
        published=False,
    ):
        
        fevent = None
        soup = BeautifulSoup(event_content, "html.parser")
        for json_script in soup.find_all("script", type="application/json"):
            json_txt = json_script.get_text()
            json_struct = json.loads(json_txt)
            fevent = FacebookEvent.find_event_fragment_in_array(
                json_struct, fevent
            )

        if fevent is not None:
            for event in fevent.build_events(event_url):
                event["published"] = published

                if "category" in default_values:
                    event["category"] = default_values["category"]
                self.add_event(**event)

