


function displayButtons() {
    agenda = document.getElementById("calendar");
    grid   = agenda.querySelector(".grid");
    buttonLeft = agenda.querySelector(".slider-button.button-left");
    buttonRight = agenda.querySelector(".slider-button.button-right");

    if (agenda.offsetWidth < grid.offsetWidth) {
        if (agenda.scrollLeft == 0) 
            buttonLeft.classList.add("hidden");
        else
            buttonLeft.classList.remove("hidden");
        if (agenda.scrollLeft + agenda.offsetWidth - grid.offsetWidth == 0) 
            buttonRight.classList.add("hidden");
        else
            buttonRight.classList.remove("hidden");
            
        
    }
    else {
        buttonLeft.classList.add("hidden");
        buttonRight.classList.add("hidden");
    }
}


addEventListener("resize", (event) => { displayButtons();});


document.addEventListener("DOMContentLoaded", function(e) {
    // setup button visibility
    displayButtons();

    // clic on the left button will move the grid one step to the left
    document.querySelector('.slider-button.button-left').addEventListener('click', function (event) {
        agenda = document.getElementById("calendar");
        grid   = agenda.querySelector(".grid");
        agenda.scrollLeft -= grid.offsetWidth / 7;
    }, false);
    
    
    // clic on the right button will move the grid one step to the right
    document.querySelector('.slider-button.button-right').addEventListener('click', function (event) {
        agenda = document.getElementById("calendar");
        grid   = agenda.querySelector(".grid");
        agenda.scrollLeft += grid.offsetWidth / 7;
    }, false);

    // when the scroll stops, we adjust button visibility
    agenda = document.getElementById("calendar");
    agenda.addEventListener('scrollend', () => {
        displayButtons();
    });
      
    
});