from django import template
from django.utils.safestring import mark_safe
from django.urls import reverse_lazy

register = template.Library()


def t_button(tag, url, strike):
    strike_class = " strike" if strike else ""
    if not url is None:
        return mark_safe(
            '<a href="'
            + url
            + '" role="button" class="small-cat'
            + strike_class
            + '">'
            + tag
            + "</a>"
        )
    else:
        return mark_safe(
            '<span role="button" class="small-cat'
            + strike_class
            + '">'
            + tag
            + "</span>"
        )

@register.filter
def tag_button(tag, link=False, strike=False):
    return t_button(tag, reverse_lazy("view_tag", {"tag": tag}) if link else None, strike)


@register.filter
def tag_button_strike(tag, link=False):
    return tag_button(tag, link, strike=True)

@register.filter
def tag_button_link(tag):
    return t_button(tag, '/?tags=' + tag, False)